SplFileObject::setFlags
SplFileObject::__toString
SplFileObject
PHP Manual

# SplFileObject::setMaxLineLen

Set maximum line length

### Description

public void SplFileObject::setMaxLineLen ( int `$max_len` )

Sets the maximum length of a line to be read.

### Parameters

`max_len`

  The maximum length of a line.

### Return Values

No value is returned.

### Errors/Exceptions

Throws DomainException when `max_len` is less than zero.

### Examples

Example #1 SplFileObject::setMaxLineLen example

`<?php
$file = new SplFileObject("lipsum.txt");
$file->setMaxLineLen(20);
foreach ($file as $line) {
echo $line . "\n";
}
?>`

Contents of lipsum.txt

    Lorem ipsum dolor sit amet, consectetur adipiscing elit.
    Duis nec sapien felis, ac sodales nisl.
    Nulla vitae magna vitae purus aliquet consequat.

The above example will output something similar to:

    Lorem ipsum dolor s
    it amet, consectetu
    r adipiscing elit.

    Duis nec sapien fel
    is, ac sodales nisl
    .

    Nulla vitae magna v
    itae purus aliquet
    consequat.

### See Also

- Classname::Method